Package org.apache.lucene.search

# Class DisiWrapper

java.lang.Object
org.apache.lucene.search.DisiWrapper

public class DisiWrapper extends Object
Wrapper used in `DisiPriorityQueue`.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final DocIdSetIterator`
  `approximation`
  `final long`
  `cost`
  `int`
  `doc`
  `final DocIdSetIterator`
  `iterator`
  `final float`
  `matchCost`
  `DisiWrapper`
  `next`
  `final Scorable`
  `scorable`
  `final Scorer`
  `scorer`
  `final TwoPhaseIterator`
  `twoPhaseView`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DisiWrapper(Scorer scorer, boolean impacts)`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### iterator

    public final DocIdSetIterator iterator

  - ### scorer

    public final Scorer scorer

  - ### scorable

    public final Scorable scorable

  - ### cost

    public final long cost

  - ### matchCost

    public final float matchCost

  - ### doc

    public int doc

  - ### next

    public DisiWrapper next

  - ### approximation

    public final DocIdSetIterator approximation

  - ### twoPhaseView

    public final TwoPhaseIterator twoPhaseView

- ## Constructor Details

  - ### DisiWrapper

    public DisiWrapper(Scorer scorer, boolean impacts)